name: Build Institutional Trader
on: [push]

jobs:
  build-and-deploy:
    runs-on: ubuntu-latest
    env:
      DOCKER_HOST: tcp://172.17.0.1:2375
    steps:
      - name: Checkout
        uses: actions/checkout@v3

      - name: Build and push
        run: |
          docker build -t 192.168.8.250:5000/market:latest .
          docker push 192.168.8.250:5000/market:latest
